aboutsummaryrefslogtreecommitdiff
path: root/test_all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test_all.sh')
-rwxr-xr-xtest_all.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/test_all.sh b/test_all.sh
index fcf757c..6a9db22 100755
--- a/test_all.sh
+++ b/test_all.sh
@@ -8,9 +8,10 @@ do
gcc $file -o /dev/null &> /dev/null
gcc_ret="$?"
./cibic $file &> /dev/null
- if [ $? -ne $gcc_ret ]; then
+ ret=$?
+ if [ $ret -ne $gcc_ret ]; then
echo "Failed on $file"
else
- echo "ok $file"
+ echo "ok $file: $ret"
fi
done